Bug 206419 - pvcreate fails with: Cant' open exclusively
pvcreate fails with: Cant' open exclusively
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Milan Broz
Depends On:
  Show dependency treegraph
Reported: 2006-09-14 05:55 EDT by Maxim
Modified: 2013-02-28 23:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-03 10:07:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Maxim 2006-09-14 05:55:17 EDT
Description of problem:
When I try to create pv's for LVM2 on four 250GB Sata disks it failed with 

[root@uni-media Documentation]# pvcreate /dev/sdc
  Can't open /dev/sdc exclusively.  Mounted filesystem?

Version-Release number of selected component (if applicable):
both RHEL4 update 3 and RHEL4 update 4 are affected.

How reproducible:
Every time

Steps to Reproduce:
1. plug any SATA disk in RAID controller
2. try to launch "pvcreate /dev/[diskname]"
Actual results:
 Can't open [diskname] exclusively.  Mounted filesystem?

Expected results:
succesfully created PV

Additional info:
I've found exact the same problem here:
I've wrote author of that message about my problem, here is his answer:
I have four drives attached to this controller and they are all 
detected. It is a PDC20276 controller, with limitations. (so I've read).
The kernel uses this chip in some sort of "native" mode I think (I am no 
expert on this) anyway there are no kernel modules loaded for this.
I used "Chip Select" (CS) on the drives in which case the controller 
should assign Master/Slave settings. But somehow this fails.
I set the jumpers on the disks from CS to Master/Slave and now it 
magically works. Don't know if this is just luck, magic or expected 

Maybe bug is related to RAID drivers or something like that. 

My hw info:
00:00.0 Host bridge: Intel Corporation 82875P/E7210 Memory Controller 
Hub (rev 02)
00:01.0 PCI bridge: Intel Corporation 82875P Processor to AGP Controller 
(rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC 
Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE 
Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801EB (ICH5) SATA Controller 
(rev 02)
00:1f.3 SMBus: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus 
Controller (rev 02)
02:07.0 RAID bus controller: Promise Technology, Inc. PDC20319 (FastTrak 
S150 TX4) (rev 02)
02:09.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
02:0a.0 Ethernet controller: Intel Corporation 82541EI Gigabit Ethernet 
Controller (Copper)
02:0b.0 Ethernet controller: Intel Corporation 82541EI Gigabit Ethernet 
Controller (Copper)
Comment 1 Maxim 2006-09-14 10:34:07 EDT
I'm able to run mkfs.ext3 /dev/sdc1 but I can't mount it.
 mount -v /dev/sdd1 /tmp/1
mount: you didn't specify a filesystem type for /dev/sdd1
       I will try type ext3
mount: /dev/sdd1 already mounted or /tmp/1 busy

So, I suppose, that this bug isn't related to LVM2 anymore, but to sata_promise 
Comment 2 Milan Broz 2008-01-03 10:07:20 EST
Seem like some configuration or hw-related problem here, not lvm2 related.

I am closing this bug, if you hit this again with RHEL4 kernel update, please
contact official Red Hat Enterprise Linux support http://www.redhat.com/support
and file a support ticket for this hw compatibility problem.

Note You need to log in before you can comment on or make changes to this bug.